Package org.apache.sling.caconfig.impl.override

# Class SystemPropertyConfigurationOverrideProvider

java.lang.Object
org.apache.sling.caconfig.impl.override.SystemPropertyConfigurationOverrideProvider

All Implemented Interfaces:
  `org.apache.sling.caconfig.spi.ConfigurationOverrideProvider`

public final class SystemPropertyConfigurationOverrideProvider extends Object implements org.apache.sling.caconfig.spi.ConfigurationOverrideProvider
Provides parameter override map from system properties.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static @interface`
`SystemPropertyConfigurationOverrideProvider.Config`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`SYSTEM_PROPERTY_PREFIX`
Prefix for override system property

## Constructor Summary

Constructors
Constructor
Description
`SystemPropertyConfigurationOverrideProvider()`

## Method Summary

Modifier and Type
Method
Description
`@NotNull Collection<String>`
`getOverrideStrings()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SYSTEM_PROPERTY_PREFIX

public static final String SYSTEM_PROPERTY_PREFIX
Prefix for override system property

See Also:
  - Constant Field Values

## Constructor Details

### SystemPropertyConfigurationOverrideProvider

public SystemPropertyConfigurationOverrideProvider()

## Method Details

### getOverrideStrings

@NotNull public @NotNull Collection<String> getOverrideStrings()

Specified by:
  `getOverrideStrings` in interface `org.apache.sling.caconfig.spi.ConfigurationOverrideProvider`